{
    num: -32085,
    accuracy: 85,
    basePower: 85,
    category: "Physical",
    name: "Morning Glory",
    pp: 10,
    priority: 0,
    flags: { contact: 1, protect: 1, mirror: 1, metronome: 1 },
    onBasePower(basePower) {
      if (this.field.isWeather(["sunnyday", "desolateland"])) {
        return this.chainModify(1.5);
      }
    },
    secondary: {
      chance: 100,
      onHit(target, source, move) {
        if (this.field.isWeather(["sunnyday", "desolateland"])) {
          target.addVolatile("partiallytrapped", source, this.dex.getActiveMove("Wrap"));
        }
      }
    },
    target: "normal",
    type: "Grass",
    contestType: "Beautiful"
}